package com.hzya.frame.nifilog.dao.impl;

import com.github.pagehelper.PageInfo;
import com.hzya.frame.nifilog.entity.LoggingEvent20250430Entity;
import com.hzya.frame.nifilog.dao.ILoggingEvent20250430Dao;
import com.hzya.frame.page.PageHelper;
import org.springframework.stereotype.Repository;
import com.hzya.frame.basedao.dao.MybatisGenericDao;

import java.util.List;

/**
 * NiFi 日志事件表，按天拆分(LoggingEvent20250430)表数据库访问层
 *
 * @author xiang2lin
 * @since 2025-05-20 09:37:49
 */
@Repository(value = "LoggingEvent20250430DaoImpl")
public class LoggingEvent20250430DaoImpl extends MybatisGenericDao<LoggingEvent20250430Entity, String> implements ILoggingEvent20250430Dao {
    @Override
    public PageInfo<LoggingEvent20250430Entity> queryLoggingEventByProcessorId(LoggingEvent20250430Entity loggingEvent20250430Entity) throws Exception {
        PageHelper.startPage(loggingEvent20250430Entity.getPageNum(), loggingEvent20250430Entity.getPageSize());
        List<LoggingEvent20250430Entity> loggingEvent20250430EntityList = query("com.hzya.frame.nifilog.dao.impl.LoggingEvent20250430DaoImpl.selectLoggingEvents", loggingEvent20250430Entity);
        return new PageInfo(loggingEvent20250430EntityList);
    }
}